Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.basic
Class JodaDateTimeValueFactory

    java.lang.Object
      org.modeshape.jcr.value.basic.AbstractValueFactory<DateTime>
          org.modeshape.jcr.value.basic.JodaDateTimeValueFactory

All Implemented Interfaces:
  DateTimeFactory, ValueFactory<DateTime>

    @Immutable
    public class JodaDateTimeValueFactory

extends AbstractValueFactory<DateTime>
implements DateTimeFactory

The standard `ValueFactory` for `PropertyType.DATE` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.jcr.value.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`JodaDateTimeValueFactory(TextDecoder decoder, ValueFactory<String> stringValueFactory)`

Method Summary
`DateTime` | `create()` Create a date-time instance for the current time in the local time zone.
`DateTime` | `create(BigDecimal value)` Create a value from a decimal.
`DateTime` | `create(BinaryValue value)` Create a value from the binary content given by the supplied stream.
`DateTime` | `create(boolean value)` Create a boolean from a string.
`DateTime` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`DateTime` | `create(Calendar value)` Create a value from a Calendar instance.
`DateTime` | `create(Date value)` Create a value from a date.
`DateTime` | `create(DateTime value)` Create a value from a date-time instant.
`DateTime` | `create(DateTime original, long offsetInMillis)` Create a date-time instance that is offset from the original by the specified amount.
`DateTime` | `create(double value)` Create a value from a double.
`DateTime` | `create(float value)` Create a value from a float.
`DateTime` | `create(InputStream stream)` Create a value from the binary content given by the supplied stream.
`DateTime` | `create(int value)` Create a value from an integer.
`DateTime` | `create(int year, int monthOfYear, int dayOfMonth, int hourOfDay, int minuteOfHour, int secondOfMinute, int millisecondsOfSecond)` Create a date-time instance given the individual values for the fields
`DateTime` | `create(int year, int monthOfYear, int dayOfMonth, int hourOfDay, int minuteOfHour, int secondOfMinute, int millisecondsOfSecond, int timeZoneOffsetHours)` Create a date-time instance given the individual values for the fields
`DateTime` | `create(int year, int monthOfYear, int dayOfMonth, int hourOfDay, int minuteOfHour, int secondOfMinute, int millisecondsOfSecond, String timeZoneId)` Create a date-time instance given the individual values for the fields
`DateTime` | `create(long value)` Create a long from a string.
`DateTime` | `create(Name value)` Create a value from a name.
`DateTime` | `create(NodeKey value)` Create a value from a `NodeKey`.
`DateTime` | `create(Path.Segment value)` Create a value from a path segment.
`DateTime` | `create(Path value)` Create a value from a path.
`DateTime` | `create(Reference value)` Create a value from a reference.
`DateTime` | `create(String value)` Create a value from a string, using no decoding.
`DateTime` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`DateTime` | `create(URI value)` Create a value from a URI.
`DateTime` | `create(UUID value)` Create a value from a UUID.
`protected DateTime[]` | `createEmptyArray(int length)`
`DateTime` | `createUtc()` Create a date-time instance for the current time in UTC.

Methods inherited from class org.modeshape.jcr.value.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.jcr.value.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Constructor Detail

### JodaDateTimeValueFactory

    public JodaDateTimeValueFactory(TextDecoder decoder,
                                    ValueFactory<String> stringValueFactory)

Method Detail

### create

    public DateTime create(String value)

  Description copied from interface: `ValueFactory`
  Create a value from a string, using no decoding.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public DateTime create(String value,
                           TextDecoder decoder)

  Description copied from interface: `ValueFactory`
  Create a value from a string, using the supplied decoder.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public DateTime create(int value)

  Description copied from interface: `ValueFactory`
  Create a value from an integer.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public DateTime create(long value)

  Description copied from interface: `ValueFactory`
  Create a long from a string.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public DateTime create(boolean value)

  Description copied from interface: `ValueFactory`
  Create a boolean from a string.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public DateTime create(float value)

  Description copied from interface: `ValueFactory`
  Create a value from a float.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public DateTime create(double value)

  Description copied from interface: `ValueFactory`
  Create a value from a double.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public DateTime create(BigDecimal value)

  Description copied from interface: `ValueFactory`
  Create a value from a decimal.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public DateTime create(Calendar value)

  Description copied from interface: `ValueFactory`
  Create a value from a Calendar instance.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public DateTime create(Date value)

  Description copied from interface: `ValueFactory`
  Create a value from a date.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public DateTime create(DateTime value)
                    throws ValueFormatException

  Description copied from interface: `ValueFactory`
  Create a value from a date-time instant.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  Throws:
    `ValueFormatException` - if the conversion from a Date could not be performed

### create

    public DateTime create(Name value)

  Description copied from interface: `ValueFactory`
  Create a value from a name.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public DateTime create(Path value)

  Description copied from interface: `ValueFactory`
  Create a value from a path.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public DateTime create(Path.Segment value)

  Description copied from interface: `ValueFactory`
  Create a value from a path segment.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public DateTime create(Reference value)

  Description copied from interface: `ValueFactory`
  Create a value from a reference.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public DateTime create(URI value)

  Description copied from interface: `ValueFactory`
  Create a value from a URI.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public DateTime create(UUID value)

  Description copied from interface: `ValueFactory`
  Create a value from a UUID.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public DateTime create(NodeKey value)
                    throws ValueFormatException

  Description copied from interface: `ValueFactory`
  Create a value from a `NodeKey`.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the node key from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  Throws:
    `ValueFormatException` - if the conversion from a NodeKey could not be performed

### create

    public DateTime create(byte[] value)

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied array.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public DateTime create(BinaryValue value)
                    throws ValueFormatException,
                           IoException

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).

### create

    public DateTime create(InputStream stream)
                    throws IoException

  Description copied from interface: `ValueFactory`
  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<DateTime>`
  Parameters:
    `stream` - the stream containing the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

### create

    public DateTime create()

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance for the current time in the local time zone.

  Specified by:
    `create` in interface `DateTimeFactory`
  Returns:
    the current date-time instance
  See Also:
    `DateTimeFactory.createUtc()`

### createUtc

    public DateTime createUtc()

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance for the current time in UTC.

  Specified by:
    `createUtc` in interface `DateTimeFactory`
  Returns:
    the current date-time instance (in UTC)
  See Also:
    `DateTimeFactory.create()`

### create

    public DateTime create(int year,
                           int monthOfYear,
                           int dayOfMonth,
                           int hourOfDay,
                           int minuteOfHour,
                           int secondOfMinute,
                           int millisecondsOfSecond)

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance given the individual values for the fields

  Specified by:
    `create` in interface `DateTimeFactory`
  Parameters:
    `year` - the year of the era
    `monthOfYear` - the month of the year
    `dayOfMonth` - the day of the month
    `hourOfDay` - the hour of the day
    `minuteOfHour` - the minute of the hour
    `secondOfMinute` - the second of the minute
    `millisecondsOfSecond` - the milliseconds of the second
  Returns:
    the date-time instance

### create

    public DateTime create(int year,
                           int monthOfYear,
                           int dayOfMonth,
                           int hourOfDay,
                           int minuteOfHour,
                           int secondOfMinute,
                           int millisecondsOfSecond,
                           int timeZoneOffsetHours)

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance given the individual values for the fields

  Specified by:
    `create` in interface `DateTimeFactory`
  Parameters:
    `year` - the year of the era
    `monthOfYear` - the month of the year
    `dayOfMonth` - the day of the month
    `hourOfDay` - the hour of the day
    `minuteOfHour` - the minute of the hour
    `secondOfMinute` - the second of the minute
    `millisecondsOfSecond` - the milliseconds of the second
    `timeZoneOffsetHours` - the number of hours offset from UTC for the time zone
  Returns:
    the date-time instance

### create

    public DateTime create(int year,
                           int monthOfYear,
                           int dayOfMonth,
                           int hourOfDay,
                           int minuteOfHour,
                           int secondOfMinute,
                           int millisecondsOfSecond,
                           String timeZoneId)

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance given the individual values for the fields

  Specified by:
    `create` in interface `DateTimeFactory`
  Parameters:
    `year` - the year of the era
    `monthOfYear` - the month of the year
    `dayOfMonth` - the day of the month
    `hourOfDay` - the hour of the day
    `minuteOfHour` - the minute of the hour
    `secondOfMinute` - the second of the minute
    `millisecondsOfSecond` - the milliseconds of the second
    `timeZoneId` - the ID of the time zone (e.g, "PST", "UTC", "EDT"); may not be null
  Returns:
    the date-time instance

### create

    public DateTime create(DateTime original,
                           long offsetInMillis)

  Description copied from interface: `DateTimeFactory`
  Create a date-time instance that is offset from the original by the specified amount.

  Specified by:
    `create` in interface `DateTimeFactory`
    `offsetInMillis` - the offset in milliseconds (positive or negative)
  Returns:
    the offset date-time instance

### createEmptyArray

    protected DateTime[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<DateTime>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.